Bug 58044 - [Qt][Symbian] Fix Api test failure -- tst_QGraphicsWebView::widgetsRenderingThroughCache
: [Qt][Symbian] Fix Api test failure -- tst_QGraphicsWebView::widgetsRenderingT...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Qt
: 528+ (Nightly build)
: S60 Hardware Other
: P2 Normal
Assigned To: Yi Shen
:
Depends on:
Blocks: 38654 50925
  Show dependency treegraph
 
Reported: 2011-04-07 07:50 PDT by Yi Shen
Modified: 2011-05-17 06:16 PDT (History)
3 users (show)

See Also:


Attachments
first try (2.05 KB, patch)
2011-04-07 07:56 PDT, Yi Shen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Shen 2011-04-07 07:50:36 PDT
For this test, we should disable the scrollbars on the graphics view since QtWebKit handles scrolling and scrollbar automatically. Will provide a patch.
Comment 1 Yi Shen 2011-04-07 07:56:55 PDT
Created attachment 88638 [details]
first try
Comment 2 Kenneth Rohde Christiansen 2011-04-07 13:48:44 PDT
Comment on attachment 88638 [details]
first try

View in context: https://bugs.webkit.org/attachment.cgi?id=88638&action=review

> Source/WebKit/qt/ChangeLog:5
> +        [Qt][Symbian] Fix Api test failure -- tst_QGraphicsWebView::widgetsRenderingThroughCache

So cache means tiling? If so that is quite confusing.
Comment 3 Yi Shen 2011-04-07 14:03:17 PDT
(In reply to comment #2)
> (From update of attachment 88638 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=88638&action=review
> 
> > Source/WebKit/qt/ChangeLog:5
> > +        [Qt][Symbian] Fix Api test failure -- tst_QGraphicsWebView::widgetsRenderingThroughCache
> 
> So cache means tiling? If so that is quite confusing.

I think so ... see the comments for this test

void tst_QGraphicsWebView::widgetsRenderingThroughCache()
{
    // Widgets should be rendered the same way with and without
    // intermediate cache (tiling for example).
    // See bug https://bugs.webkit.org/show_bug.cgi?id=47767 where
    // widget are rendered as disabled when caching is using.
Comment 4 Laszlo Gombos 2011-04-18 18:47:09 PDT
Comment on attachment 88638 [details]
first try

View in context: https://bugs.webkit.org/attachment.cgi?id=88638&action=review

> Source/WebKit/qt/tests/qgraphicswebview/tst_qgraphicswebview.cpp:-191
> -    viewWithTiling.fill();

Can you explain why is this line removed ?
Comment 5 Yi Shen 2011-04-19 06:11:07 PDT
(In reply to comment #4)
> (From update of attachment 88638 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=88638&action=review
> 
> > Source/WebKit/qt/tests/qgraphicswebview/tst_qgraphicswebview.cpp:-191
> > -    viewWithTiling.fill();
> 
> Can you explain why is this line removed ?

This line is used here to fill the tiling image's background with the white color, which is not necessary in this case since all the tiles should get fully updated and set the background to white automatically.
Comment 6 Laszlo Gombos 2011-04-19 18:49:10 PDT
Comment on attachment 88638 [details]
first try

r=me.
Comment 7 WebKit Commit Bot 2011-04-19 19:53:26 PDT
The commit-queue encountered the following flaky tests while processing attachment 88638 [details]:

http/tests/xmlhttprequest/basic-auth.html bug 51613 (author: ap@webkit.org)
The commit-queue is continuing to process your patch.
Comment 8 WebKit Commit Bot 2011-04-19 19:56:36 PDT
Comment on attachment 88638 [details]
first try

Clearing flags on attachment: 88638

Committed r84332: <http://trac.webkit.org/changeset/84332>
Comment 9 WebKit Commit Bot 2011-04-19 19:56:39 PDT
All reviewed patches have been landed.  Closing bug.